# Gimp.Drawable.prototype.get_thumbnail

    function get_thumbnail(width: Number(gint), height: Number(gint), alpha: Gimp.PixbufTransparency): GdkPixbuf.Pixbuf {
        // Gjs wrapper for gimp_drawable_get_thumbnail()
    }

Retrieves a thumbnail pixbuf for the drawable identified by drawable. The thumbnail will be not larger than the requested size.

Since 2.2

width

  the requested thumbnail width (<= 1024 pixels)

height

  the requested thumbnail height (<= 1024 pixels)

alpha

  how to handle an alpha channel

Returns

  a new GdkPixbuf.Pixbuf